:root {
    --mainColor: #eaeaea;
    --secondaryColor: white;
    --borderColor: #c1c1c1;
    --mainText: black;
    --secondaryText: #4b5156;
    --themeDotBorder: #24292e;
    --previewBg: rgba(251, 249, 243, 0.8);
    --previewShadow: #f0ead6;
    --buttonColor: black;
    --roundEdge: 50%;
    --mainFont: 'Russo One', sans-serif;
    --secondaryFont: 'Roboto Mono', monospace;
    --inverted: invert(0);
}

html, body {
    padding: 0;
    margin: 0;
}

body * {
    transition: 0.3s;
}

h1, h2, h3, h4, h5, h6, strong {
    color: var(--mainText);
    font-family: var(--mainFont);
    font-weight: 500;
}

p, li, span, label, input, textarea {
    color: var(--secondaryText);
    font-family: var(--secondaryFont);
}

a {
    font-family: var(--secondaryFont);
    text-decoration: none;
    color: #17a2b8;
}

ul {
    list-style: none;
}

h1 { font-size: 56px; }
h2 { font-size: 36px; }
h3 { font-size: 28px; }
h4 { font-size: 24px; }
h5 { font-size: 20px; }
h6 { font-size: 16px; }

.s1 {
    background-color: var(--mainColor);
    border-bottom: 1px solid var(--borderColor);
    overflow: auto;
}

.s2 {
    background-color: var(--secondaryColor);
    border-bottom: 1px solid var(--borderColor);
    overflow: auto;
}

.main-container {
    width: 1200px;
    margin: 0 auto;
}

.greeting-wrapper {
    display: grid;
    text-align: center;
    align-content: center;
    min-height: 10em;
}

.intro-wrapper {
    background-color: var(--secondaryColor);
    border: 1px solid var(--borderColor);
    border-bottom: none;
    border-radius: 5px 5px 0 0;
    -webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    -moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 
        'nav-wrapper nav-wrapper' 
        'left-column right-column';
}

.nav-wrapper {
    grid-area: nav-wrapper;
    border-bottom: 1px solid var(--borderColor);
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--mainColor);
    border-radius: 5px 5px 0 0;
    color: var(--secondaryText);
}

.dots-wrapper {
    display: flex;
    padding: 10px;
}

.prompt-wrapper {
    display: none;
    padding: 10px;
}

.letter-wrapper {
    display: none;
    padding: 10px;
}

.letter-wrapper h5 {
    margin: 0;
}

#dot-1 { background-color: #FC6058; }
#dot-2 { background-color: #FEC02F; }
#dot-3 { background-color: #2ACA3E; }

.browser-dot {
    background-color: black;
    height: 15px;
    width: 15px;
    border-radius: var(--roundEdge);
    margin: 5px;

    -webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    -moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
}

.left-column {
    padding: 50px;
    grid-area: left-column;
}

#profile-pic {
    display: block;
    margin: 0 auto;
    height: 200px;
    width: 200px;
    object-fit: cover;
    border: 2px solid var(--borderColor);
}

#theme-options-wrapper {
    display: flex;
    justify-content: center;
}

.theme-dot {
    height: 30px;
    width: 30px;
    background-color: black;
    border-radius: var(--roundEdge);
    margin: 5px;
    border: 2px solid var(--themeDotBorder);
    -webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    -moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    cursor: pointer;
}

.theme-dot:hover {
    border-width: 5px;
}

#crescent-moon {
    position: relative;
    top: 4.5px;
    left: -2px;
    height: 20px;
    width: 20px;
    background-color: white;
    border-radius: var(--roundEdge);
}

#dark-mode-border {
    background-color: transparent;
    margin: 0;
    padding: 0;
    position: relative;
    top: -22px;
    left: -2px;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

#dark-mode-border:hover {
    border-width: 2px;
}

#light-mode { background-color: white; }
#dark-mode { background-color: #192734; }
#matrix-mode { background-color: black; }
#paper-mode {
    text-align: center;
    background-color: #C7A575; 
}

#paper-mode h4 {
    color: var(--themeDotBorder);
    position: relative;
    top: -34px;
}

#pixel {
    background-color: #00ff0f;
    width: 10px;
    height: 10px;
    margin: 0 auto;
    top: 33%;
    position: relative;
}

#settings-note {
    font-size: 12px;
    font-style: italic;
    text-align: center;
}

.right-column {
    grid-area: right-column;
    display: grid;
    align-content: center;
    padding: 50px;
}

#preview-shadow {
    background-color: var(--previewShadow);
    width: 300px;
    height: 160px;
    padding: 30px 0 0 30px;
}

#preview {
    width: 300px;
    border: 1.5px solid #17a2b8;
    background-color: var(--previewBg);
    padding: 15px;
    position: relative;
}

.corner {
    width: 7px;
    height: 7px;
    border-radius: var(--roundEdge);
    border: 1.5px solid #17a2b8;
    background-color: white;
    position: absolute;
}

#corner-tl {
    top: -5px;
    left: -5px;
}

#corner-tr {
    top: -5px;
    right: -5px;
}

#corner-br {
    bottom: -5px;
    right: -5px;
}

#corner-bl {
    bottom: -5px;
    left: -5px;
}

.about-wrapper {
    display: grid;
    /*See about using this syntax instead of mediaqueries for the nav-wrapper.*/
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    padding: 10px 0;
    grid-gap: 20px;
}

#skills {
    display: flex;
    justify-content: space-around;
    background-color: var(--previewShadow);
}

#skills ul {
    padding: 10px;
}

.resume-wrapper {
    display: grid;
    align-content: center;
}

#resume-viewer {
    border: none;
    width: 100%;
    height: 500px;
}

.post-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fit, 320px);
    grid-gap: 20px;
    justify-content: center;
    padding-bottom: 50px;
}

.post {
    border: 1px solid var(--borderColor);
    -webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    -moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
    box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
}

.thumbnail {
    display: block;
    width: 100%;
    height: 180px;
    object-fit: cover;
}

.post-preview {
    background-color: #fff;
    padding: 15px;
}

.post-title {
    color: black;
    margin: 0;
}

.post-subtitle {
    color: darkgrey;
    margin: 0;
}

.post-intro {
    color: #4b5156;
    font-size: 14px;
}

.social-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fit, 50px);
    grid-gap: 20px;
    justify-content: center;
    padding-bottom: 50px;
}

.social-button {
    width: 100%;
    filter: var(--inverted);
}

@media screen and (max-width: 1200px) {
    .main-container {
        width: 95%;
    }
}

@media screen and (max-width: 800px) {
    .intro-wrapper {
        grid-template-columns: 1fr;
        grid-template-areas: 
            'nav-wrapper' 
            'left-column' 
            'right-column'
        ;
    }

    .right-column {
        justify-content: center;
        padding-top: 0;
    }
}